<?php
/**********************************************************************************
* eTicket  http://www.eticketsupport.com                                         *
* by Digital Frontiers, UTO                                                       *
***********************************************************************************
* Software Version: eTicket 1.7.0                                                 *
* Software by: Digital Frontiers, UTO (http://www.eticketsupport.com)             *
* Copyright 2008 by: Digital Frontiers, UTO (http://www.eticketsupport.com)       *
* Support, News, Updates at: http://www.eticketsupport.com                        *
***********************************************************************************
* This program is free software; you may redistribute it and/or modify it under   *
* the terms of the provided license as published by Digital Frontiers, UTO.       *
*                                                                                 *
* This program is distributed in the hope that it is and will be useful, but      *
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY    *
* or FITNESS FOR A PARTICULAR PURPOSE.                                            *
*                                                                                 *
* See the "license.txt" file for details of the eTicket license.                  *
* The latest version can always be found at http://www.eticketsupport.com.        *
**********************************************************************************/
error_reporting(0);

$include = 'init.php'; 
if (file_exists($include)) { 
    require_once($include); 
}

echo '<p><b>Troubleshooter:</b></p>';
$msgs[] = 'PHP version: '.phpversion().' (Should be PHP 5.0.0 or above)';
if (ini_get('safe_mode')) { 
    $msgs[] = '<b>PHP <a href = "http://www.php.net/features.safe-mode">Safe Mode</a> is On (Should be Off)</b>'; 
} else {
    $msgs[] = 'PHP Safe Mode is off';
}
if ($version) { 
    $msgs[] = 'eTicket version: '. $version; 
}
if ($_SERVER['SERVER_SOFTWARE']) { 
    $msgs[] = 'Webserver: '.$_SERVER['SERVER_SOFTWARE']; 
}
if (mysql_get_server_info()) { 
    $msgs[] = 'Database: MySQL '.mysql_get_server_info().' (Should be MySQL 4.1 or above)'; 
}
if (function_exists('gd_info')) { 
    $gd = gd_info(); 
    $msgs[] = 'GD version: '.$gd['GD Version']; 
} else { 
    $msgs[] = '<b>GD is not installed, CAPTCHA will not work.</b>'; 
}
if (function_exists('mb_get_info')) {
    $msgs[] = 'Multibyte String is installed';
} else {
    $msgs[] = '<b>Multibyte String is not installed eTicket will not work correctly.</b>';
}
if (function_exists('iconv')) {
    $msgs[] = 'iconv version: '.ICONV_VERSION;
} else {
    $msgs[] = '<b>iconv is not installed eTicket will not work correctly.</b>';
}
if (function_exists('imap_open')) {
    $msgs[] = 'IMAP is installed';
} else {
    $msgs[] = '<b>IMAP is not installed eTicket will not work correctly if you use automail.php.</b>';
}
if (ini_get('allow_url_fopen')) {
    $msgs[] = 'Socket support enabled.';
} else {
    $msgs[] = '<b>Socket support is not enabled.</b>';
}
if (isset($_ENV['OS'])) { 
    $msgs[] = 'Operating System: '.$_ENV['OS']; 
}
if ($_SERVER['HTTP_USER_AGENT']) { 
    $msgs[] = 'User Agent: '.$_SERVER['HTTP_USER_AGENT']; 
}
$msgs[] = 'Character set: '.$db_settings['charset'];

$url[] = substr($_SERVER['SERVER_PROTOCOL'],0,strrpos($_SERVER['SERVER_PROTOCOL'],'/')) == 'HTTPS'?'https://':'http://';
$url[] = $_SERVER['HTTP_HOST'];
$url[] = $_SERVER['REQUEST_URI'];
$url = htmlspecialchars(implode('',$url));
$msgs[] = 'Link: '.$url;

$out = '';

foreach ($msgs as $msg) { 
    $out .= "<li>$msg</li>\n"; 
}
$out = "\n<ul>$out</ul>\n";
	
echo $out;

?>